Name:          libpcsclite
Version:       1.8.22
Release:       1mamba
Summary:       A SCard interface for communicating to smartcards and readers
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Aleph0 <aleph0@openmamba.org>
URL:           http://pcsclite.alioth.debian.org
Source:        https://anonscm.debian.org/cgit/pcsclite/PCSC.git/pcsc-%{version}/PCSC-%{version}.tar.bz2
#https://alioth.debian.org/frs/download.php/file/4126/pcsc-lite-%{version}.tar.bz2
License:       Distributable
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: udev-devel
## AUTOBUILDREQ-END
BuildRequires: flex
Provides:      pcsc-lite-libs
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

# FIXME (BuildRequirements)
#   checking for smartcard/scf.h... no

%description
The purpose of PCSC Lite is to provide a Windows(R) SCard interface in a very small form factor for communicating to smartcards and readers.
PCSC Lite can be compiled directly to a desired reader driver or can be used to dynamically allocate/deallocate reader drivers at runtime (default).
PCSC Lite uses the same winscard api as used under Windows(R) and allows easy porting of Windows smartcard software to other operating systems.
Supports many types of serial, PCMCIA, and USB smartcard readers and cryptographic tokens.

%package -n pcscd
Summary:       A daemon for communicating to smartcards and readers
Group:         System/Tools
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}
Provides:      pcsc-lite

%description -n pcscd
The purpose of PCSC Lite is to provide a Windows(R) SCard interface in a very small form factor for communicating to smartcards and readers.
PCSC Lite uses the same winscard api as used under Windows(R) and allows easy porting of Windows smartcard software to other operating systems.
This package contains the daemon for communicating to smartcards and readers.

%package devel
Summary:       Devel package for %{name}
Group:         Development/Libraries
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description devel
The purpose of PCSC Lite is to provide a Windows(R) SCard interface in a very small form factor for communicating to smartcards and readers.
PCSC Lite uses the same winscard api as used under Windows(R) and allows easy porting of Windows smartcard software to other operating systems.
This package contains static libraries and header files need for development.

%prep
%setup -q -n PCSC-%{version}

%build
sh ./bootstrap
%configure \
   --enable-ipcdir=/var/run \
   --enable-usbdropdir=%{_libdir}/pcsc/drivers

#   --enable-muscledropdir=%{_datadir}/pcsc/services

%make

%install
[ "%{buildroot}" != / ] && rm -rf %{buildroot}
install -d %{buildroot}%{_defaultdocdir}/%{name}-%{version}
%makeinstall \
   docdir=%{_defaultdocdir}/%{name}-%{version}

#install -D -m0755 etc/pcscd.init %{buildroot}%{_initrddir}/pcscd


%clean
[ "%{buildroot}" != / ] && rm -rf %{buildroot}

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files -n pcscd
%defattr(-,root,root)
%{_bindir}/pcsc-spy
%attr(4755,root,root) %{_sbindir}/pcscd
/lib/systemd/system/pcscd.service
/lib/systemd/system/pcscd.socket
%{_mandir}/man5/reader.conf.*
%{_mandir}/man8/pcscd.*
%{_mandir}/man1/pcsc-spy.1.gz

%files
%defattr(-,root,root)
%{_libdir}/libpcsclite.so.*
%{_libdir}/libpcscspy.so.*
%doc AUTHORS COPYING

%files devel
%defattr(-,root,root)
%{_includedir}/PCSC/*.h
%{_libdir}/libpcsclite.la
%{_libdir}/libpcsclite.so
%{_libdir}/libpcscspy.la
%{_libdir}/libpcscspy.so
%{_libdir}/pkgconfig/*
%doc ChangeLog* DRIVERS HELP
%doc NEWS README SECURITY

%changelog
* Mon Aug 07 2017 Automatic Build System <autodist@mambasoft.it> 1.8.22-1mamba
- automatic version update by autodist

* Mon Jan 02 2017 Automatic Build System <autodist@mambasoft.it> 1.8.20-1mamba
- automatic version update by autodist

* Sun Nov 20 2016 Automatic Build System <autodist@mambasoft.it> 1.8.18-1mamba
- automatic version update by autodist

* Sat Apr 09 2016 Automatic Build System <autodist@mambasoft.it> 1.8.16-1mamba
- automatic version update by autodist

* Thu Jan 21 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 1.8.15-1mamba
- update to 1.8.15

* Thu Jan 21 2016 Automatic Build System <autodist@mambasoft.it> 1.8.14-1mamba
- automatic version update by autodist

* Sat Dec 27 2014 Automatic Build System <autodist@mambasoft.it> 1.8.13-1mamba
- automatic version update by autodist

* Sun Oct 26 2014 Automatic Build System <autodist@mambasoft.it> 1.8.12-1mamba
- automatic version update by autodist

* Thu Sep 18 2014 Automatic Build System <autodist@mambasoft.it> 1.8.11-1mamba
- automatic version update by autodist

* Wed Jan 23 2013 Automatic Build System <autodist@mambasoft.it> 1.8.8-1mamba
- automatic version update by autodist

* Sat Dec 15 2012 Automatic Build System <autodist@mambasoft.it> 1.8.7-1mamba
- automatic version update by autodist

* Sat Dec 01 2012 Automatic Build System <autodist@mambasoft.it> 1.8.6-1mamba
- update to 1.8.6

* Fri Apr 15 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 1.7.2-1mamba
- update to 1.7.2
- remove initscript and set pcscd suid to let it be started by libpcsclite.so

* Thu Jan 28 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 1.4.101-4mamba
- added pcscd subpackage for daemon with init script

* Thu Jan 28 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 1.4.101-3mamba
- added provides for pcsc-lite and pcsc-lite-libs for compatibility of fedora binary packages (dike)

* Wed May 28 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 1.4.101-2mamba
- fixed pid file location

* Wed May 28 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 1.4.101-1mamba
- update to 1.4.101

* Wed Nov 28 2007 Aleph0 <aleph0@openmamba.org> 1.4.4-1mamba
- update to 1.4.4

* Tue Dec 07 2004 Davide Madrisan <davide.madrisan@qilinux.it> 1.2.0-1qilnx
- package created by autospec
